#

Function INPUT-STREAM-P, OUTPUT-STREAM-P

Syntax:

input-stream-p stream => generalized-boolean

output-stream-p stream => generalized-boolean

Arguments and Values:

stream---a stream.

generalized-boolean---a generalized boolean.

Description:

input-stream-p returns true if stream is an input stream; otherwise, returns false.

output-stream-p returns true if stream is an output stream; otherwise, returns false.

Examples:

     (input-stream-p *standard-input*) =>  true
     (input-stream-p *terminal-io*) =>  true
     (input-stream-p (make-string-output-stream)) =>  false

     (output-stream-p *standard-output*) =>  true
     (output-stream-p *terminal-io*) =>  true
     (output-stream-p (make-string-input-stream "jr")) =>  false

Side Effects: None.

Affected By: None.

Exceptional Situations:

Should signal an error of type type-error if stream is not a stream.

See Also: None.

Notes: None.

Copyright 1996-2005, LispWorks Ltd. All rights reserved.